### File

`packages/eui-dynamic-forms-ui/src/lib/components/array-field/multi-select-list/multi-select-list.component.ts`

### Extends

`BaseArrayComponent`

### Implements

`OnInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `ux-dyn-multi-select-list`
styleUrls | `./multi-select-list.component.scss`
templateUrl | `./multi-select-list.component.html`

### Index

###### Properties
arrayData autocompleteData autocompleteDataSelected formGroup inputs arrayName Optional dynFormArray dynFormArrayConfig Optional formMultiStore Optional formState Optional childrenConfig context Optional dynFormApi Optional fieldId Optional frameId Optional genericService Optional globalStore isEditMode Optional parent Optional parentData Optional setId
###### Methods
onReset onSelectAll onSelectionChanged onSelectNone addToFormArray bindDataToControl removeAtFormArray setValuesByControl getDynFormApi getFieldData saveFieldData

### Constructor

`constructor(config, formBuilder: FormBuilder, resolveLabelPipe: ResolveLabelPipe, cdRef: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
config |  | No
formBuilder | `FormBuilder` | No
resolveLabelPipe | `ResolveLabelPipe` | No
cdRef | `ChangeDetectorRef` | No

### Methods

onReset
`onReset()`
Returns : `void`

onSelectAll
`onSelectAll()`
Returns : `void`

onSelectionChanged
`onSelectionChanged(e: EuiAutoCompleteItem[])`
Parameters :
Name | Type | Optional
e | `EuiAutoCompleteItem[]` | No
Returns : `void`

onSelectNone
`onSelectNone()`
Returns : `void`

addToFormArray
`addToFormArray(config?: UxDynFormModel, index?: number)`
Parameters :
Name | Type | Optional
config | `UxDynFormModel` | Yes
index | `number` | Yes
Returns : `void`

bindDataToControl
`bindDataToControl(data: Observable)`
Parameters :
Name | Type | Optional
data | `Observable<any>` | No
Returns : `void`

removeAtFormArray
`removeAtFormArray(index)`
Parameters :
Name | Optional
index | No
Returns : `void`

setValuesByControl
`setValuesByControl(newValues: Array)`
Parameters :
Name | Type | Optional
newValues | `Array<any>` | No
Returns : `void`

getDynFormApi
`getDynFormApi()`
Returns : `any`

getFieldData
`getFieldData(key: string)`
Parameters :
Name | Type | Optional
key | `string` | No
Returns : `Observable<any>`

saveFieldData
`saveFieldData(key: string, val: any)`
Parameters :
Name | Type | Optional
key | `string` | No
val | `any` | No
Returns : `void`

### Properties

arrayData
Type : `Array<any>`

autocompleteData
Type : `EuiAutoCompleteItem[]`

autocompleteDataSelected
Type : `EuiAutoCompleteItem[]`
Default value : `[]`

formGroup
Type : `FormGroup`

inputs
Type : `MultiSelectListComponentInputs`

arrayName
Type : `string`

Optional dynFormArray
Type : `FormArray`

dynFormArrayConfig
Type : `UxDynFormModel`

Optional formMultiStore
Type : `IsolatedMultiReduxHelper`

Optional formState
Type : `Observable<FormState>`

Optional childrenConfig
Type : `UxDynFormModelArray`

context
Type : `FieldContext`

Optional dynFormApi
Type : `DynFormApi`

Optional fieldId
Type : `string`

Optional frameId
Type : `string`

Optional genericService
Type : `DynGenericService`

Optional globalStore
Type : `Store<any>`

isEditMode
Type : `boolean`

Optional parent
Type : `FormGroup | FormArray`

Optional parentData
Type : `UxDynFormArrayParentData`

Optional setId
Type : `string`

# results matching ""

# No results matching ""